#ifndef GLOBAL_H_
#define GLOBAL_H_

#define HEADER_CREATOR_ID  0xcf	/*A LO MEJOR ON SE USA */
#define OBEX_PUSH_HANDLE	10

#include <bluetooth/bluetooth.h>
#include <bluetooth/hci.h>
#include <bluetooth/hci_lib.h>

#include <openobex/obex.h>

struct dispos
{
	char MAC_dev[20];
	char nombre_dev[248];
	struct dispos *next;
};
typedef struct dispos DISPOS;

int get_canal_obex (char *);
void elimina_lista_dispo (DISPOS *);
char* recorta_cadena(char *);

void manejador_tiempo(void);

void espera_conexiones();
int safe_save_file(char *, const uint8_t *, int);
void obex_event(obex_t *, obex_object_t *, int, int, int, int);
void put_done(obex_object_t *);
void server_request(obex_object_t *, int, int);
void server_done(obex_object_t *, int);

#endif /*GLOBAL_H_*/
